*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

html,
body{
  width:100%;
  overflow-x:hidden;
  font-family:sans-serif;
  background:#f3f3f3;
  color:#222;
}

body{
  padding:15px;
}

.container{
  width:100%;
  max-width:700px;
  margin:0 auto;
  background:#fff;
  padding:18px;
  border-radius:18px;
  box-shadow:0 4px 20px rgba(0,0,0,0.08);
  overflow:hidden;
}

h1{
  text-align:center;
  font-size:38px;
  margin-bottom:10px;
}

.lead{
  text-align:center;
  color:#666;
  margin-bottom:35px;
}

h2{
  font-size:24px;
  margin-top:35px;
  margin-bottom:20px;
  border-left:8px solid #1e7cff;
  padding-left:12px;
}

label{
  display:block;
  margin-top:18px;
  margin-bottom:8px;
  font-weight:bold;
  font-size:16px;
}

input,
select,
button{
  width:100%;
  max-width:100%;
  border:none;
  outline:none;
  border-radius:14px;
  font-size:16px;
}

input,
select{
  background:#f5f5f5;
  border:2px solid #d9d9d9;
  padding:16px;
  margin-bottom:18px;
}

input[type="datetime-local"]{
  display:block;
  width:100%;
  min-width:0;
  max-width:100%;
  -webkit-appearance:none;
  appearance:none;
}

.check{
  display:flex;
  align-items:flex-start;
  gap:14px;
  background:#f8f8f8;
  padding:16px;
  border-radius:12px;
  margin-bottom:14px;
}

.check input{
  width:24px;
  height:24px;
  margin-top:3px;
  flex-shrink:0;
}

.check label{
  margin:0;
  font-size:15px;
  line-height:1.8;
  font-weight:bold;
}

.note{
  margin-bottom:18px;
  line-height:1.8;
}

.rent-btn{
  background:#1e7cff;
  color:#fff;
  font-weight:bold;
  padding:18px;
  cursor:pointer;
  margin-top:25px;
}

.rent-btn:disabled{
  opacity:0.7;
}

.return-title{
  text-align:center;
  margin-top:40px;
  margin-bottom:20px;
  font-size:42px;
}

.return-btn{
  background:#333;
  color:#fff;
  font-weight:bold;
  padding:18px;
  cursor:pointer;
  margin-top:20px;
}

.return-btn:disabled{
  opacity:0.7;
}

select option:disabled{
  background:#ffe3e3;
  color:#d60000;
  font-weight:bold;
}

hr{
  margin:45px 0;
  border:none;
  border-top:1px solid #ddd;
}

@media screen and (max-width:600px){

  body{
    padding:10px;
  }

  .container{
    padding:14px;
    border-radius:14px;
  }

  h1{
    font-size:30px;
  }

  .return-title{
    font-size:34px;
  }

  h2{
    font-size:20px;
  }

  input,
  select{
    font-size:16px;
  }

}
input[type="datetime-local"]::-webkit-datetime-edit{
  padding:0;
}

input[type="datetime-local"]::-webkit-calendar-picker-indicator{
  margin-left:0;
  padding:0;
}

input[type="datetime-local"]{
  width:calc(100% - 2px);
}
input[type="datetime-local"]{
  height:40px !important;
  padding:4px 8px !important;
  font-size:12px !important;
  width:100% !important;
}